attribute vec4 a_PosA;
attribute vec4 a_PosB;
attribute vec4 a_PosC;
attribute vec2 a_TexA;
attribute vec2 a_TexB;
attribute vec2 a_TexC;
attribute vec4 a_Normal;
attribute vec2 a_TSelect;

uniform mat4 u_MVPMatrix;
uniform vec3 u_MeshSelect;
uniform vec3 u_TexSelect;

varying vec2 v_TexCoord0;
varying vec2 v_TSelect;
varying vec4 v_Coord0;

void main() {
    vec4 pos = u_MVPMatrix *
       (a_PosA * u_MeshSelect.x + // A mesh
        a_PosB * u_MeshSelect.y + // B mesh
        a_PosC * u_MeshSelect.z); // C mesh
    gl_Position = pos;
    v_Coord0 = pos;
    v_TexCoord0 =
        a_TexA * u_TexSelect.x + // A texture coordinate
        a_TexB * u_TexSelect.y + // B texture coordinate
        a_TexC * u_TexSelect.z;  // C texture coordinate
    v_TSelect = a_TSelect;
}