attribute vec4 a_PosA;
attribute vec4 a_PosB;
attribute vec4 a_PosC;
attribute vec4 a_Normal;
attribute vec2 a_TexCoord;

uniform mat4 u_MVPMatrix;

uniform vec3 u_MeshSelect;

varying vec2 v_TexCoord0;
varying vec4 v_Coord0;

void main() {
    vec4 pos = u_MVPMatrix *
       (a_PosA * u_MeshSelect.x + // A mesh
        a_PosB * u_MeshSelect.y + // B mesh
        a_PosC * u_MeshSelect.z); // C mesh
    gl_Position = pos;
    v_Coord0 = pos;
    v_TexCoord0 = a_TexCoord;
}